%define upstream_name mbpurple

Name:           purple-microblog
Version:        0.3.0
Release:        4%{?dist}
Summary:        Libpurple plug-in for Pidgin and others, supporting microblog services like Twitter

Group:          Applications/Internet     
License:        GPLv3+
URL:            http://code.google.com/p/microblog-purple/
Source0:        http://microblog-purple.googlecode.com/files/%{upstream_name}-%{version}.tar.gz

BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:  pidgin-devel >= 2.5
ExcludeArch:    s390x
%if 0%{?rhel} <= 5 && 0%{?fedora} < 7
ExcludeArch: ppc
%endif

%description
This extension adds support for microblog services like Twitter through conversation windows in Pidgin
Instant Messenger and others. It is a libpurple extension and can be used any software using the
libpurple library.  

%prep
%setup -q -n %{upstream_name}-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS"
make LIBDIR=%{_libdir} build

%install
make install DESTDIR=%{buildroot} LIBDIR=%{_libdir}
chmod 0755 $RPM_BUILD_ROOT%{_libdir}/purple-2/libtwitter.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING README.txt
%{_libdir}/purple-2/*.so
%{_datadir}/pixmaps/pidgin/protocols/*/twitter.png
%{_datadir}/pixmaps/pidgin/protocols/*/identica.png
%{_datadir}/pixmaps/pidgin/protocols/*/statusnet.png
%{_datadir}/purple/ca-certs/EquifaxSecureGlobaleBusinessCA.pem

%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Aug 13 2010 Matěj Cepl <mcepl@redhat.com> - 0.3.0-3
- Make build for EL5.

* Sun Aug 01 2010 Matěj Cepl <mcepl@redhat.com> - 0.3.0-2
- Fix %%changelog

* Sun Aug 01 2010 Matěj Cepl <mcepl@redhat.com> - 0.3.0-1
- New upstream release

* Mon Oct 19 2009 Ismael Olea <ismael@olea.org> - 0.2.4-3
- removing useless electric-fence BR

* Mon Oct 19 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 0.2.4-2
- Change the description to be more readable. Fixes rhbz#529558
- Clean up the spec a bit

* Sat Sep 26 2009 Ismael Olea <ismael@olea.org> - 0.2.4-1
- New upstream release

* Sun Sep 13 2009 Ismael Olea <ismael@olea.org> - 0.2.3-3
- fixing make invocation avoiding call to subversion

* Sat Sep 12 2009 Ismael Olea <ismael@olea.org> - 0.2.3-2
- adding svn building requirement

* Sat Sep 12 2009 Ismael Olea <ismael@olea.org> - 0.2.3-1
- New upstream release 

* Sun Jun 14 2009 Ismael Olea <ismael@olea.org> - 0.2.2-1
- New upstream release fixing #505707 twitpocalypse bug

* Wed Mar 04 2009 Ismael Olea <ismael@olea.org> - 0.2.1-1
- New upstream release.

* Sun Nov 09 2008 Matěj Cepl <mcepl@redhat.com> - 0.2.0-1
- New upstream release.

* Wed Oct 29 2008 Matěj Cepl <mcepl@redhat.com> 0.1.2-2.20081023svn174.fc10
- New checkout from SVN.

* Thu Oct 23 2008 Matěj Cepl <mcepl@redhat.com> 0.1.2-2.20081023svn165
- Rebase to the new SVN checkout
- Remove patches (they were accepted upstream)

* Sat Sep 13 2008 Matěj Cepl <mcepl@redhat.com> 0.1.2-2.20080911svn148
- Updated according to reviewer's comments after approval.

* Sat Sep 13 2008 Matěj Cepl <mcepl@redhat.com> 0.1.2-1.20080911svn148.1
- Fixing package reviewer's comments.

* Thu Sep 11 2008 Matej Cepl <mcepl@redhat.com> 0.1.2-0.20080911svn148
- Initial build.
